GDB (xrefs)

Functions
/tmp/gdb-8.1/gdb/procfs.h File Reference

Go to the source code of this file.

## Functions
struct target_ops * | procfs_target (void)
void | procfs_use_watchpoints (struct target_ops *t)
ptid_t | procfs_first_available (void)

## Function Documentation

## ◆ procfs_first_available()

ptid_t procfs_first_available | ( | void |  | ) |

Definition at line 3807 of file procfs.c.

References procinfo::pid, pid_to_ptid(), and procinfo_list.

Referenced by rw_common(), sol_thread_resume(), sol_thread_wait(), and sol_thread_xfer_partial().

## ◆ procfs_target()

struct target_ops* procfs_target | ( | void |  | ) |

Definition at line 159 of file procfs.c.

References inf_child_target(), OPS_MAGIC, proc_find_memory_regions(), procfs_attach(), procfs_create_inferior(), procfs_detach(), procfs_fetch_registers(), procfs_files_info(), procfs_info_proc(), procfs_interrupt(), procfs_kill_inferior(), procfs_make_note_section(), procfs_mourn_inferior(), procfs_pass_signals(), procfs_pid_to_str(), procfs_resume(), procfs_store_registers(), procfs_thread_alive(), procfs_update_thread_list(), procfs_wait(), procfs_xfer_partial, tc_schedlock, target_ops::to_attach, target_ops::to_auxv_parse, target_ops::to_create_inferior, target_ops::to_detach, target_ops::to_fetch_registers, target_ops::to_files_info, target_ops::to_find_memory_regions, target_ops::to_has_thread_control, target_ops::to_info_proc, target_ops::to_interrupt, target_ops::to_kill, target_ops::to_magic, target_ops::to_make_corefile_notes, target_ops::to_mourn_inferior, target_ops::to_pass_signals, target_ops::to_pid_to_str, target_ops::to_resume, target_ops::to_store_registers, target_ops::to_thread_alive, target_ops::to_update_thread_list, target_ops::to_wait, and target_ops::to_xfer_partial.

Referenced by _initialize_amd64_sol2_nat(), and _initialize_sparc_sol2_nat().

## ◆ procfs_use_watchpoints()

void procfs_use_watchpoints | ( | struct target_ops * | t | ) |

Definition at line 3413 of file procfs.c.

References procfs_can_use_hw_breakpoint(), procfs_insert_watchpoint(), procfs_region_ok_for_hw_watchpoint(), procfs_remove_watchpoint(), procfs_stopped_by_watchpoint(), procfs_stopped_data_address(), target_ops::to_can_use_hw_breakpoint, target_ops::to_insert_watchpoint, target_ops::to_region_ok_for_hw_watchpoint, target_ops::to_remove_watchpoint, target_ops::to_stopped_by_watchpoint, and target_ops::to_stopped_data_address.

Referenced by _initialize_amd64_sol2_nat(), and _initialize_sparc_sol2_nat().